release file after processing.runalg

classic Classic list List threaded Threaded
19 messages Options
Reply | Threaded
Open this post in threaded view
|

release file after processing.runalg

enrico chiaradia-2

Dear List,

I'd like to remove an existing file (see [tempOutput]) after it was used by a geoalgorithm. The geoalgorithm works perfectly but after its execution, the file [tempOutput] is locked.

Here a simple test script that returns "[Error 32] The process cannot access the file because it is being used by another process: 'D:/test_alg/map_to_clip.tif'":

import processing
import os

tempOutput = 'D:/test_alg/map_to_clip.tif'
maskFN = 'D:/test_alg/mask.shp'
output = 'D:/test_alg/clipped_map.tif'

algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
                                        tempOutput,
                                        maskFN,
                                        "-9999",False,False,False,5,4,75,6,1,False,0,False,"",
                                        output)

try:
    os.remove(tempOutput)
except Exception as e:
    print e

I also found a solution on the web [1] but it doesn't work for me :( If I understand correctly, the trick is to load the file as layer and then release it. Here its implementation:

import processing
import os

tempOutput = 'D:/test_alg/map_to_clip.tif'
maskFN = 'D:/test_alg/mask.shp'
output = 'D:/test_alg/clipped_map.tif'

algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
                                        tempOutput,
                                        maskFN,
                                        "-9999",False,False,False,5,4,75,6,1,False,0,False,"",
                                        output)

try:
    # add to the map
    tempLay = QgsRasterLayer(tempOutput, "tempLay")
    if not tempLay.isValid(): raise Exception("Failed to load tempLay")
    QgsMapLayerRegistry.instance().addMapLayer(tempLay) #!!!!
   
    layermap = QgsMapLayerRegistry.instance().mapLayers()
    for i, layer in layermap.iteritems():
      print 'layername',layer.source()
      if layer.source() == tempOutput:
        # Remove layer references
        QgsMapLayerRegistry.instance().removeMapLayer(layer.id()) #!!!!
        # Delete the file
        os.remove(tempOutput)

except Exception as e:
    print e

I didn't find any other solution for the moment. Any suggestion is really very appreciate!

Thanks

enrico


[1] https://gis.stackexchange.com/questions/93143/can-not-delete-file-after-using-runalg-function




_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: release file after processing.runalg

st_kiefer
Hi enrico,
as far as I see from the reference you added the solution would be to add the result (resp. output) to a Layer instead "tempOutput". Then you remove that Layer, I suppose while removing the layer a reference on "tempOutput" ist released.

cheers

Stefan

> enrico chiaradia <[hidden email]> hat am 27. April 2017 um 15:13 geschrieben:
>
>
> Dear List,
>
> I'd like to remove an existing file (see [tempOutput]) after it was used
> by a geoalgorithm. The geoalgorithm works perfectly but after its
> execution, the file [tempOutput] is locked.
>
> Here a simple test script that returns "[Error 32] The process cannot
> access the file because it is being used by another process:
> 'D:/test_alg/map_to_clip.tif'":
>
> import processing
> import os
>
> tempOutput = 'D:/test_alg/map_to_clip.tif'
> maskFN = 'D:/test_alg/mask.shp'
> output = 'D:/test_alg/clipped_map.tif'
>
> algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
>                                          tempOutput,
>                                          maskFN,
> "-9999",False,False,False,5,4,75,6,1,False,0,False,"",
>                                          output)
>
> try:
>      os.remove(tempOutput)
> except Exception as e:
>      print e
>
> I also found a solution on the web [1] but it doesn't work for me :( If
> I understand correctly, the trick is to load the file as layer and then
> release it. Here its implementation:
>
> import processing
> import os
>
> tempOutput = 'D:/test_alg/map_to_clip.tif'
> maskFN = 'D:/test_alg/mask.shp'
> output = 'D:/test_alg/clipped_map.tif'
>
> algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
>                                          tempOutput,
>                                          maskFN,
> "-9999",False,False,False,5,4,75,6,1,False,0,False,"",
>                                          output)
>
> try:
>      # add to the map
>      tempLay = QgsRasterLayer(tempOutput, "tempLay")
>      if not tempLay.isValid(): raise Exception("Failed to load tempLay")
>      QgsMapLayerRegistry.instance().addMapLayer(tempLay) #!!!!
>
>      layermap = QgsMapLayerRegistry.instance().mapLayers()
>      for i, layer in layermap.iteritems():
>        print 'layername',layer.source()
>        if layer.source() == tempOutput:
>          # Remove layer references
>          QgsMapLayerRegistry.instance().removeMapLayer(layer.id()) #!!!!
>          # Delete the file
>          os.remove(tempOutput)
>
> except Exception as e:
>      print e
>
> I didn't find any other solution for the moment. Any suggestion is
> really very appreciate!
>
> Thanks
>
> enrico
>
>
> [1]
> https://gis.stackexchange.com/questions/93143/can-not-delete-file-after-using-runalg-function
>
>
>
> _______________________________________________
> Qgis-developer mailing list
> [hidden email]
> List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
> Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: release file after processing.runalg

enrico chiaradia-2
Hi Stefan and many thanks for your answer! but it seems not working :(
Here the new code. I replaced "tempOutput" with "output". Layer is correctly loaded and removed but "tempOutput" cannot be deleted.

import processing
import os

tempOutput = 'D:/test_alg/map_to_clip.tif'
maskFN = 'D:/test_alg/mask.shp'
output = 'D:/test_alg/clipped_map.tif'

algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
                                        tempOutput,
                                        maskFN,
                                        "-9999",False,False,False,5,4,75,6,1,False,0,False,"",
                                        output)

try:
    # add to the map
    tempLay = QgsRasterLayer(output, "tempLay")
    if not tempLay.isValid(): raise Exception("Failed to load tempLay")
    QgsMapLayerRegistry.instance().addMapLayer(tempLay) #!!!!
   
    layermap = QgsMapLayerRegistry.instance().mapLayers()
    for i, layer in layermap.iteritems():
      if layer.source() == output:
        print 'layername',layer.source()
        # Remove layer references
        QgsMapLayerRegistry.instance().removeMapLayer(layer.id()) #!!!!
   
    # Delete the file
    os.remove(tempOutput)

except Exception as e:
    print e




Il 27/04/2017 16:07, Stefan Kiefer ha scritto:
Hi enrico,
as far as I see from the reference you added the solution would be to add the result (resp. output) to a Layer instead "tempOutput". Then you remove that Layer, I suppose while removing the layer a reference on "tempOutput" ist released.

cheers

Stefan

enrico chiaradia [hidden email] hat am 27. April 2017 um 15:13 geschrieben:


Dear List,

I'd like to remove an existing file (see [tempOutput]) after it was used 
by a geoalgorithm. The geoalgorithm works perfectly but after its 
execution, the file [tempOutput] is locked.

Here a simple test script that returns "[Error 32] The process cannot 
access the file because it is being used by another process: 
'D:/test_alg/map_to_clip.tif'":

import processing
import os

tempOutput = 'D:/test_alg/map_to_clip.tif'
maskFN = 'D:/test_alg/mask.shp'
output = 'D:/test_alg/clipped_map.tif'

algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
                                         tempOutput,
                                         maskFN,
"-9999",False,False,False,5,4,75,6,1,False,0,False,"",
                                         output)

try:
     os.remove(tempOutput)
except Exception as e:
     print e

I also found a solution on the web [1] but it doesn't work for me :( If 
I understand correctly, the trick is to load the file as layer and then 
release it. Here its implementation:

import processing
import os

tempOutput = 'D:/test_alg/map_to_clip.tif'
maskFN = 'D:/test_alg/mask.shp'
output = 'D:/test_alg/clipped_map.tif'

algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
                                         tempOutput,
                                         maskFN,
"-9999",False,False,False,5,4,75,6,1,False,0,False,"",
                                         output)

try:
     # add to the map
     tempLay = QgsRasterLayer(tempOutput, "tempLay")
     if not tempLay.isValid(): raise Exception("Failed to load tempLay")
     QgsMapLayerRegistry.instance().addMapLayer(tempLay) #!!!!

     layermap = QgsMapLayerRegistry.instance().mapLayers()
     for i, layer in layermap.iteritems():
       print 'layername',layer.source()
       if layer.source() == tempOutput:
         # Remove layer references
         QgsMapLayerRegistry.instance().removeMapLayer(layer.id()) #!!!!
         # Delete the file
         os.remove(tempOutput)

except Exception as e:
     print e

I didn't find any other solution for the moment. Any suggestion is 
really very appreciate!

Thanks

enrico


[1] 
https://gis.stackexchange.com/questions/93143/can-not-delete-file-after-using-runalg-function



_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer

    



_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: release file after processing.runalg

st_kiefer
Hi Enrico,
how is that file map_to_clip.tif created? There still could be a reference on that file, maybe because of the generation process (I assume that because you call it tempOutput, so there could be still a reference from another process). For example, if that file is visualized somewhere there definitly is a referene on that file.

cheers

Stefan

> enrico chiaradia <[hidden email]> hat am 27. April 2017 um 16:29 geschrieben:
>
>
> Hi Stefan and many thanks for your answer! but it seems not working :(
> Here the new code. I replaced "tempOutput" with "output". Layer is
> correctly loaded and removed but "tempOutput" cannot be deleted.
>
> import processing
> import os
>
> tempOutput = 'D:/test_alg/map_to_clip.tif'
> maskFN = 'D:/test_alg/mask.shp'
> output = 'D:/test_alg/clipped_map.tif'
>
> algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
>                                          tempOutput,
>                                          maskFN,
> "-9999",False,False,False,5,4,75,6,1,False,0,False,"",
>                                          output)
>
> try:
>      # add to the map
>      tempLay = QgsRasterLayer(output, "tempLay")
>      if not tempLay.isValid(): raise Exception("Failed to load tempLay")
>      QgsMapLayerRegistry.instance().addMapLayer(tempLay) #!!!!
>
>      layermap = QgsMapLayerRegistry.instance().mapLayers()
>      for i, layer in layermap.iteritems():
>        if layer.source() == output:
>          print 'layername',layer.source()
>          # Remove layer references
>          QgsMapLayerRegistry.instance().removeMapLayer(layer.id()) #!!!!
>
>      # Delete the file
>      os.remove(tempOutput)
>
> except Exception as e:
>      print e
>
>
>
>
> Il 27/04/2017 16:07, Stefan Kiefer ha scritto:
> > Hi enrico,
> > as far as I see from the reference you added the solution would be to add the result (resp. output) to a Layer instead "tempOutput". Then you remove that Layer, I suppose while removing the layer a reference on "tempOutput" ist released.
> >
> > cheers
> >
> > Stefan
> >
> >> enrico chiaradia <[hidden email]> hat am 27. April 2017 um 15:13 geschrieben:
> >>
> >>
> >> Dear List,
> >>
> >> I'd like to remove an existing file (see [tempOutput]) after it was used
> >> by a geoalgorithm. The geoalgorithm works perfectly but after its
> >> execution, the file [tempOutput] is locked.
> >>
> >> Here a simple test script that returns "[Error 32] The process cannot
> >> access the file because it is being used by another process:
> >> 'D:/test_alg/map_to_clip.tif'":
> >>
> >> import processing
> >> import os
> >>
> >> tempOutput = 'D:/test_alg/map_to_clip.tif'
> >> maskFN = 'D:/test_alg/mask.shp'
> >> output = 'D:/test_alg/clipped_map.tif'
> >>
> >> algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
> >>                                           tempOutput,
> >>                                           maskFN,
> >> "-9999",False,False,False,5,4,75,6,1,False,0,False,"",
> >>                                           output)
> >>
> >> try:
> >>       os.remove(tempOutput)
> >> except Exception as e:
> >>       print e
> >>
> >> I also found a solution on the web [1] but it doesn't work for me :( If
> >> I understand correctly, the trick is to load the file as layer and then
> >> release it. Here its implementation:
> >>
> >> import processing
> >> import os
> >>
> >> tempOutput = 'D:/test_alg/map_to_clip.tif'
> >> maskFN = 'D:/test_alg/mask.shp'
> >> output = 'D:/test_alg/clipped_map.tif'
> >>
> >> algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
> >>                                           tempOutput,
> >>                                           maskFN,
> >> "-9999",False,False,False,5,4,75,6,1,False,0,False,"",
> >>                                           output)
> >>
> >> try:
> >>       # add to the map
> >>       tempLay = QgsRasterLayer(tempOutput, "tempLay")
> >>       if not tempLay.isValid(): raise Exception("Failed to load tempLay")
> >>       QgsMapLayerRegistry.instance().addMapLayer(tempLay) #!!!!
> >>
> >>       layermap = QgsMapLayerRegistry.instance().mapLayers()
> >>       for i, layer in layermap.iteritems():
> >>         print 'layername',layer.source()
> >>         if layer.source() == tempOutput:
> >>           # Remove layer references
> >>           QgsMapLayerRegistry.instance().removeMapLayer(layer.id()) #!!!!
> >>           # Delete the file
> >>           os.remove(tempOutput)
> >>
> >> except Exception as e:
> >>       print e
> >>
> >> I didn't find any other solution for the moment. Any suggestion is
> >> really very appreciate!
> >>
> >> Thanks
> >>
> >> enrico
> >>
> >>
> >> [1]
> >> https://gis.stackexchange.com/questions/93143/can-not-delete-file-after-using-runalg-function
> >>
> >>
> >>
> >> _______________________________________________
> >> Qgis-developer mailing list
> >> [hidden email]
> >> List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
> >> Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
>
>
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: release file after processing.runalg

enrico chiaradia-2
Hi Stefan, thanks again!
the file "map_to_clip.tif" is saved on the HD and it is not submitted to any process before executing the script (I know that because I can delete it before running the script).
At the same time, I noticed that the file "map_to_clip.tif.aux.xml" was created after running the script and closing qgis (absolutely, I did no other things!).
Can that suggest the process that locks the file?


Il 28/04/2017 11:00, Stefan Kiefer ha scritto:
Hi Enrico,
how is that file map_to_clip.tif created? There still could be a reference on that file, maybe because of the generation process (I assume that because you call it tempOutput, so there could be still a reference from another process). For example, if that file is visualized somewhere there definitly is a referene on that file.

cheers

Stefan

enrico chiaradia [hidden email] hat am 27. April 2017 um 16:29 geschrieben:


Hi Stefan and many thanks for your answer! but it seems not working :(
Here the new code. I replaced "tempOutput" with "output". Layer is 
correctly loaded and removed but "tempOutput" cannot be deleted.

import processing
import os

tempOutput = 'D:/test_alg/map_to_clip.tif'
maskFN = 'D:/test_alg/mask.shp'
output = 'D:/test_alg/clipped_map.tif'

algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
                                         tempOutput,
                                         maskFN,
"-9999",False,False,False,5,4,75,6,1,False,0,False,"",
                                         output)

try:
     # add to the map
     tempLay = QgsRasterLayer(output, "tempLay")
     if not tempLay.isValid(): raise Exception("Failed to load tempLay")
     QgsMapLayerRegistry.instance().addMapLayer(tempLay) #!!!!

     layermap = QgsMapLayerRegistry.instance().mapLayers()
     for i, layer in layermap.iteritems():
       if layer.source() == output:
         print 'layername',layer.source()
         # Remove layer references
         QgsMapLayerRegistry.instance().removeMapLayer(layer.id()) #!!!!

     # Delete the file
     os.remove(tempOutput)

except Exception as e:
     print e




Il 27/04/2017 16:07, Stefan Kiefer ha scritto:
Hi enrico,
as far as I see from the reference you added the solution would be to add the result (resp. output) to a Layer instead "tempOutput". Then you remove that Layer, I suppose while removing the layer a reference on "tempOutput" ist released.

cheers

Stefan

enrico chiaradia [hidden email] hat am 27. April 2017 um 15:13 geschrieben:


Dear List,

I'd like to remove an existing file (see [tempOutput]) after it was used
by a geoalgorithm. The geoalgorithm works perfectly but after its
execution, the file [tempOutput] is locked.

Here a simple test script that returns "[Error 32] The process cannot
access the file because it is being used by another process:
'D:/test_alg/map_to_clip.tif'":

import processing
import os

tempOutput = 'D:/test_alg/map_to_clip.tif'
maskFN = 'D:/test_alg/mask.shp'
output = 'D:/test_alg/clipped_map.tif'

algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
                                          tempOutput,
                                          maskFN,
"-9999",False,False,False,5,4,75,6,1,False,0,False,"",
                                          output)

try:
      os.remove(tempOutput)
except Exception as e:
      print e

I also found a solution on the web [1] but it doesn't work for me :( If
I understand correctly, the trick is to load the file as layer and then
release it. Here its implementation:

import processing
import os

tempOutput = 'D:/test_alg/map_to_clip.tif'
maskFN = 'D:/test_alg/mask.shp'
output = 'D:/test_alg/clipped_map.tif'

algRes = processing.runalg("gdalogr:cliprasterbymasklayer",
                                          tempOutput,
                                          maskFN,
"-9999",False,False,False,5,4,75,6,1,False,0,False,"",
                                          output)

try:
      # add to the map
      tempLay = QgsRasterLayer(tempOutput, "tempLay")
      if not tempLay.isValid(): raise Exception("Failed to load tempLay")
      QgsMapLayerRegistry.instance().addMapLayer(tempLay) #!!!!

      layermap = QgsMapLayerRegistry.instance().mapLayers()
      for i, layer in layermap.iteritems():
        print 'layername',layer.source()
        if layer.source() == tempOutput:
          # Remove layer references
          QgsMapLayerRegistry.instance().removeMapLayer(layer.id()) #!!!!
          # Delete the file
          os.remove(tempOutput)

except Exception as e:
      print e

I didn't find any other solution for the moment. Any suggestion is
really very appreciate!

Thanks

enrico


[1]
https://gis.stackexchange.com/questions/93143/can-not-delete-file-after-using-runalg-function



_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer


    



_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: release file after processing.runalg

enrico chiaradia-2
In reply to this post by enrico chiaradia-2
no luck :(

Il 28/04/2017 11:47, s k ha scritto:
Hi Enrico,
maybe you should register a rasterlayer direct with the QGisInteface[1] (then of course use again tempOutpt).

cheers

Stefan

[1]http://docs.qgis.org/testing/en/docs/pyqgis_developer_cookbook/loadlayer.html#raster-layers



_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: release file after processing.runalg

Tom Chadwin
In reply to this post by enrico chiaradia-2
I had a similar issue (I think). I never solved it myself, but Luca did. The issue is here:

https://github.com/tomchadwin/qgis2web/issues/148

The commit is here:

https://github.com/tomchadwin/qgis2web/pull/297

The code used in current master is here:

https://github.com/tomchadwin/qgis2web/blob/master/utils.py#L257

So, this might help you, but it might not.

Tom
Reply | Threaded
Open this post in threaded view
|

release file after processing.runalg

enrico chiaradia-2

Hi Tom and thank you for your contribution.

It's hard to me to understand your issue but I will study it!

In the meantime, I made some tests again and I can replicate my problem both using the geoalgorithm directly from the processing framework and using a similar geoprocessing from SAGA (again from the processing framework).

In both the cases the result is the same and the input file is locked!!!

I can reproduce it on QGIS 2.14.5-Essen/WIN7 and QGIS 2.18.4/WIN10.

Instead, it seems to work under QGIS 2.14.10-Essen on UBUNTU 16.04. In this case the "map_to_clip.tif.aux.xml" file is created after the algorithm terminates.

Can someone confirm this issue?

I upload some test file here: https://github.com/eachiaradia/doc/tree/master/test_alg

enrico


Il 28/04/2017 16:42, Tom Chadwin ha scritto:
I had a similar issue (I think). I never solved it myself, but Luca did. The
issue is here:

https://github.com/tomchadwin/qgis2web/issues/148

The commit is here:

https://github.com/tomchadwin/qgis2web/pull/297

The code used in current master is here:

https://github.com/tomchadwin/qgis2web/blob/master/utils.py#L257

So, this might help you, but it might not.

Tom



-----
Buy Pie Spy: Adventures in British pastry 2010-11 on Amazon 
--
View this message in context: http://osgeo-org.1560.x6.nabble.com/release-file-after-processing-runalg-tp5318609p5318754.html
Sent from the QGIS - Developer mailing list archive at Nabble.com.
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer


_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: release file after processing.runalg

Tom Chadwin
Have you tried:

tempOutput.close()

before the delete?

Tom
Reply | Threaded
Open this post in threaded view
|

cannot submit a new issue to qgis-redmine

enrico chiaradia-2
I'd like to add a ticket to redmine but it seems that my account is unable to add new issues.
I'm correctly logged to the system and I can explore previous issues but I cannot figure how can I add a new one.
Maybe I must wait for authorization?
Thanks
enrico


_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: cannot submit a new issue to qgis-redmine

Tom Chadwin
Reply | Threaded
Open this post in threaded view
|

Re: cannot submit a new issue to qgis-redmine

Richard Duivenvoorde
On 02-05-17 11:05, Tom Chadwin wrote:
> Hi Enrico
>
> The Redmine address changed just this weekend. See:
>
> https://twitter.com/timlinux/status/858994518024212481

True, we moved from hub.qgis.org to https://issues.qgis.org

BUT if all goes as planned you will just be redirected automagically

Note that we run issues.qgis.org only of https

Please let me know if things do not appear to work as expected.
We did tweak this during the weekend, so problems during this weekend
should be ignored :-)

Regards,

Richard Duivenvoorde

_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: cannot submit a new issue to qgis-redmine

Pedro Venâncio-2
Hi,

The redirect seems to be working fine, but using the same credentials from http://hub.qgis.org/ I get error 403:

"You are not authorized to access this page"

Best regards,
Pedro





2017-05-02 10:31 GMT+01:00 Richard Duivenvoorde <[hidden email]>:
On 02-05-17 11:05, Tom Chadwin wrote:
> Hi Enrico
>
> The Redmine address changed just this weekend. See:
>
> https://twitter.com/timlinux/status/858994518024212481

True, we moved from hub.qgis.org to https://issues.qgis.org

BUT if all goes as planned you will just be redirected automagically

Note that we run issues.qgis.org only of https

Please let me know if things do not appear to work as expected.
We did tweak this during the weekend, so problems during this weekend
should be ignored :-)

Regards,

Richard Duivenvoorde

_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer


_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: cannot submit a new issue to qgis-redmine

enrico chiaradia-2

the same also for me.

enrico


Il 02/05/2017 11:49, Pedro Venâncio ha scritto:
Hi,

The redirect seems to be working fine, but using the same credentials from http://hub.qgis.org/ I get error 403:

"You are not authorized to access this page"

Best regards,
Pedro





_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: cannot submit a new issue to qgis-redmine

João Gaspar
In reply to this post by Pedro Venâncio-2
Hi,
Yes i have the same issue

+1

Regards
João Gaspar

2017-05-02 10:49 GMT+01:00 Pedro Venâncio <[hidden email]>:
Hi,

The redirect seems to be working fine, but using the same credentials from http://hub.qgis.org/ I get error 403:

"You are not authorized to access this page"

Best regards,
Pedro





2017-05-02 10:31 GMT+01:00 Richard Duivenvoorde <[hidden email]>:
On 02-05-17 11:05, Tom Chadwin wrote:
> Hi Enrico
>
> The Redmine address changed just this weekend. See:
>
> https://twitter.com/timlinux/status/858994518024212481

True, we moved from hub.qgis.org to https://issues.qgis.org

BUT if all goes as planned you will just be redirected automagically

Note that we run issues.qgis.org only of https

Please let me know if things do not appear to work as expected.
We did tweak this during the weekend, so problems during this weekend
should be ignored :-)

Regards,

Richard Duivenvoorde

_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer


_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer


_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: cannot submit a new issue to qgis-redmine

Jürgen E. Fischer
In reply to this post by Richard Duivenvoorde
Hi Richard,

On Tue, 02. May 2017 at 11:31:09 +0200, Richard Duivenvoorde wrote:
> True, we moved from hub.qgis.org to https://issues.qgis.org
 
> BUT if all goes as planned you will just be redirected automagically
 
> Note that we run issues.qgis.org only of https
 
> Please let me know if things do not appear to work as expected.
> We did tweak this during the weekend, so problems during this weekend
> should be ignored :-)

For some reason the QGIS Application project was not public anymore - and
"non-members" (users logged in, but not in any group) also didn't have access.
It's now public again (as it was and should be) and that seems to help.


Jürgen

--
Jürgen E. Fischer           norBIT GmbH             Tel. +49-4931-918175-31
Dipl.-Inf. (FH)             Rheinstraße 13          Fax. +49-4931-918175-50
Software Engineer           D-26506 Norden             http://www.norbit.de
QGIS release manager (PSC)  Germany                    IRC: jef on FreeNode

_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer

signature.asc (844 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: cannot submit a new issue to qgis-redmine

Pedro Venâncio-2
I've access now Jurgen!

Thanks!

Pedro


2017-05-02 11:35 GMT+01:00 Jürgen E. Fischer <[hidden email]>:
Hi Richard,

On Tue, 02. May 2017 at 11:31:09 +0200, Richard Duivenvoorde wrote:
> True, we moved from hub.qgis.org to https://issues.qgis.org

> BUT if all goes as planned you will just be redirected automagically

> Note that we run issues.qgis.org only of https

> Please let me know if things do not appear to work as expected.
> We did tweak this during the weekend, so problems during this weekend
> should be ignored :-)

For some reason the QGIS Application project was not public anymore - and
"non-members" (users logged in, but not in any group) also didn't have access.
It's now public again (as it was and should be) and that seems to help.


Jürgen

--
Jürgen E. Fischer           norBIT GmbH             Tel. <a href="tel:%2B49-4931-918175-31" value="+49493191817531">+49-4931-918175-31
Dipl.-Inf. (FH)             Rheinstraße 13          Fax. <a href="tel:%2B49-4931-918175-50" value="+49493191817550">+49-4931-918175-50
Software Engineer           D-26506 Norden             http://www.norbit.de
QGIS release manager (PSC)  Germany                    IRC: jef on FreeNode

_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer


_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: cannot submit a new issue to qgis-redmine

João Gaspar
Yes i confirm the access as well.

Thanks Jurgen

2017-05-02 12:00 GMT+01:00 Pedro Venâncio <[hidden email]>:
I've access now Jurgen!

Thanks!

Pedro


2017-05-02 11:35 GMT+01:00 Jürgen E. Fischer <[hidden email]>:
Hi Richard,

On Tue, 02. May 2017 at 11:31:09 +0200, Richard Duivenvoorde wrote:
> True, we moved from hub.qgis.org to https://issues.qgis.org

> BUT if all goes as planned you will just be redirected automagically

> Note that we run issues.qgis.org only of https

> Please let me know if things do not appear to work as expected.
> We did tweak this during the weekend, so problems during this weekend
> should be ignored :-)

For some reason the QGIS Application project was not public anymore - and
"non-members" (users logged in, but not in any group) also didn't have access.
It's now public again (as it was and should be) and that seems to help.


Jürgen

--
Jürgen E. Fischer           norBIT GmbH             Tel. <a href="tel:%2B49-4931-918175-31" value="+49493191817531" target="_blank">+49-4931-918175-31
Dipl.-Inf. (FH)             Rheinstraße 13          Fax. <a href="tel:%2B49-4931-918175-50" value="+49493191817550" target="_blank">+49-4931-918175-50
Software Engineer           D-26506 Norden             http://www.norbit.de
QGIS release manager (PSC)  Germany                    IRC: jef on FreeNode

_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer


_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer


_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

[QGIS-Developer] release file after processing.runalg (alternative workaround)

enrico chiaradia-2
In reply to this post by st_kiefer
Finally, I realized that it is a bug already submitted to the bugtracker https://issues.qgis.org/issues/12502.
In my experience, it is strongly correlated to some function in the processing plugin under both win7 and win10 and qgis 2.14 and 2.18 (not under linux).
At the moment, I cannot say exactly where the problem is but I found that calling the runGdal function directly is a simple workaround.
Here a simple script as example, waiting for a final resolution of the issue:

from processing.algs.gdal.GdalUtils import GdalUtils
import os

class MYProgress():
    # Not necessary if you have the processing progress available in your script
    def setInfo(self,line):
        print line
   
    def setCommand(self,line):
        print line

    def setConsoleInfo(self,line):
        print line

tempOutput = 'D:/test_alg/map_to_clip.tif'
maskFN = 'D:/test_alg/mask.shp'
output = 'D:/test_alg/clipped_map.tif'

cmds = ["gdalwarp",
            "-dstnodata",
            "-9999",
            "-crop_to_cutline",
            "-cutline",
            maskFN,
            tempOutput,
            output]

progress = MYProgress()

GdalUtils.runGdal(cmds,progress)

# Delete the file
os.remove(tempOutput)



_______________________________________________
QGIS-Developer mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer